import { OnInit } from '@angular/core';
import { AbstractControlOptions } from '@angular/forms';
export interface NrfControlOptions extends AbstractControlOptions {
    disabled: boolean;
}
export declare abstract class NrfControlOptionsComponent implements OnInit {
    controlOptions: NrfControlOptions;
    disabled: boolean;
    min: string | number;
    max: string | number;
    required: boolean;
    email: boolean;
    minLength: string | number;
    maxLength: string | number;
    pattern: string | RegExp;
    updateOn: 'change' | 'blur' | 'submit';
    ngOnInit(): void;
    generateControlOptions(): NrfControlOptions;
}
