import { EventEmitter, OnDestroy, OnInit, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NrfSubmitData } from './form-submit-data.class';
import { NrfFormService } from './form.service';
export declare class NrfFormDirective implements OnInit, OnDestroy {
    private readonly templateRef;
    private readonly viewContainerRef;
    private readonly formService;
    private readonly renderer;
    constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef, formService: NrfFormService, renderer: Renderer2);
    nrfEntity: any;
    readonly formData: any;
    readonly formGroup: FormGroup;
    readonly nrfSubmit: EventEmitter<NrfSubmitData>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private renderView;
    formSubmitWrapper($event: Event): void;
}
